﻿using System;

namespace ServerMonitorApp
{
    /// <summary>
    /// Attribute for use by check controls to indicate
    /// the type of check they correspond to.
    /// </summary>
    internal class CheckTypeAttribute : Attribute
    {
        public Type CheckType { get; private set; }

        public CheckTypeAttribute(Type checkType) { CheckType = checkType; }
    }

    /// <summary>
    /// Attribute for use by checks to determine the order
    /// they appear in the check type selection combo box.
    /// </summary>
    internal class DisplayWeightAttribute : Attribute
    {
        public int DisplayWeight { get; private set; }
        
        public DisplayWeightAttribute(int displayWeight) { DisplayWeight = displayWeight; }
    }
}
