﻿using System;
using System.Windows.Forms;

namespace ServerMonitorApp
{
    public partial class ServerSummaryControl : UserControl
    {
        public new event EventHandler Click;

        public Server Server { get; private set; }

        public ServerSummaryControl(Server server)
        {
            InitializeComponent();

            foreach (Control control in new Control[] { this, ServerPictureBox, ServerNameLabel })
            {
                control.Cursor = Cursors.Hand;
                control.Click += Control_Click;
            }
            Server = server;
            ServerNameLabel.Text = Server.Name;
            StatusPictureBox.Parent = ServerPictureBox;
            StatusPictureBox.Image = Server.Status.GetImage();
        }

        public override void Refresh()
        {
            StatusPictureBox.Image = Server.Status.GetImage();
            base.Refresh();
        }

        private void Control_Click(object sender, EventArgs e)
        {
            Click?.Invoke(this, e);
        }
    }
}
