﻿using System.Windows.Forms;

namespace ServerMonitorApp
{
    /// <summary>Combo box containing options for time units.</summary>
    class TimeUnitsComboBox : ComboBox
    {
        protected override void OnCreateControl()
        {
            base.OnCreateControl();
            // Clear the items to prevent duplicates added at design time and run time.
            Items.Clear();
            Items.Add("minutes");
            Items.Add("hours");
            Items.Add("days");
            SelectedIndex = 2;
        }
    }

    /// <summary>Time units.</summary>
    public enum TimeUnits { Minute = 0, Hour = 1, Day = 2 }
}
