﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace ServerMonitorApp
{
    /// <summary>Message dialog with an additional checkbox.</summary>
    public partial class CheckBoxDialog : Form
    {
        /// <summary>Message to show.</summary>
        public string Message { get; set; }

        /// <summary>Check state of the checkbox.</summary>
        public bool Checked { get; private set; }

        public CheckBoxDialog()
        {
            InitializeComponent();
        }

        private void CheckBoxDialog_Load(object sender, EventArgs e)
        {
            MessageIcon.Image = SystemIcons.Question.ToBitmap();
            MessageLabel.Text = Message;
        }

        /// <summary>Updates the public property with the checked state so it can be read by the dialog owner.</summary>
        private void PromptCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            Checked = PromptCheckBox.Checked;
        }
    }
}
